Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/assets"{ "data": [ { "id": "string", "digest": "string", "byte_length": 1, "width": 1, "height": 1, "content_type": "image/png", "created_at": "2019-08-24T14:15:22Z", "public_url": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/assets" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "content_type": "image/png", "bytes_base64": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAACklEQVR4nGMAAQAABQABDQottAAAAABJRU5ErkJggg==" }'{ "id": "string", "digest": "string", "byte_length": 1, "width": 1, "height": 1, "content_type": "image/png", "created_at": "2019-08-24T14:15:22Z", "public_url": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/assets/string"{ "id": "string", "digest": "string", "byte_length": 1, "width": 1, "height": 1, "content_type": "image/png", "created_at": "2019-08-24T14:15:22Z", "public_url": "string"}Path Parameters
1 <= length <= 2551 <= length <= 255Response Body
image/png
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public_assets/string/string""string"